Core - Bug # 55923

Status: Resolved Priority: Should have
Author: Michiel Roos Category:
Created: 2014-02-12 Assigned To:
Updated: 2014-02-12 Due date:
TYPO3 Version: 6.2

PHP Version: 53

Complexity: no-brainer

Is Regression: Yes

Sprint Focus:

Subject: intval() to (int) conversion regressions

Description

Another set of errors after #54265:

intval around ternary expression was replaced with a cast, omitting the braces around the ternary expression.

inval($this->mconf['minltems'] ? $this->mconf['minltems'] : $this->conf['minltems);

Was replaced with:
(int)$this->mconf['minltems'] ? $this->mconf['minltems'] : $this->conf['minltems'];

Instead of:
(int)($this->mconf['minltems'] ? $this->mconf['minltems'] : $this->conf['minltems']);

Related issues:
related to Core - Bug # 55706: Different behavior of levelmedia in TYPO3 6.2 Resolved 2014-02-05

Associated revisions

Revision d12b2003 - 2014-02-12 17:18 - Michiel Roos

[BUGFIX] inval() -> (int) regressions in ternaries

Change-Id: 10c105134ca9de463eed7c6a3760003b8694958ce
Resolves: #55923

Releases: 6.2

Reviewed-on: https:/review.typo3.org/27576

Reviewed-by: Marcin Sagol
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-02-12 14:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

2015-08-04 1/2



https://review.typo3.org/27576

It is available at https://review.typo3.org/27576

#2 - 2014-02-12 14:33 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27576

#3 - 2014-02-12 14:38 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27576

#4 - 2014-02-12 14:40 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27576

#5 - 2014-02-12 17:30 - Michiel Roos
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d12b2003fb6288647f323199f97001110d3baab.
